<div class="row" *ngIf="item$ | async as item">
    <div class="col-12" [formGroup]="selectorGroup">
        <nb-card>
            <nb-card-header>
                {{item.name}}
            </nb-card-header>
            <nb-card-body>
                <div class="form-in-rows">
                    <nb-select formControlName="realm" *ngIf="realms?.length >= 1" [nbSpinner]="loader" status="primary"
                               nbSpinnerStatus="primary" placeholder="Realm">
                        <nb-option *ngFor="let realm of realms" [value]="realm">{{realm}}</nb-option>
                        <nb-option *ngIf="!realms">Loading...</nb-option>
                    </nb-select>
                    <nb-select formControlName="faction" *ngIf="factions?.length >= 1" [nbSpinner]="loader" status="primary"
                               nbSpinnerStatus="primary" placeholder="Faction">
                        <nb-option *ngFor="let faction of factions" [value]="faction">{{faction}}</nb-option>
                        <nb-option *ngIf="!factions">Loading...</nb-option>
                    </nb-select>
                    <ng-template #noImports>
                        0 imports has been upload. Try to upload one !
                    </ng-template>

                    <input nbInput type="number" formControlName="importsUsed"
                           *ngIf="item.imports.length > 0; else noImports" [nbSpinner]="loader"
                           nbSpinnerStatus="primary" placeholder="Number of imports to show"/>
                    <button nbButton status="primary" (click)="allImports()" [disabled]="!data">All imports</button>
                </div>
            </nb-card-body>
        </nb-card>
    </div>
    <div [class.col-4]="data && graph" [class.col-12]="!(data && graph)">
        <nb-card *ngIf="favoritesItems$ | async as favoritesItems">
            <nb-card-header>
                <button nbButton status="primary" (click)="setFavorite(favoritesItems)">
                    <nb-icon [icon]="iconStar"></nb-icon>
                </button>
                Item info
            </nb-card-header>
            <nb-card-body>
                <div class="form-in-rows" *ngIf="favItem">
                    <label class="col-form-label">Notify me when the price is under</label>
                    <div class="">
                        <app-price [loader]="loaderSetLimitPrice" [price]="favItem.priceLimit" #limitPrice></app-price>
                    </div>
                    <div class="">
                        <button nbButton>
                            <nb-icon icon="edit-outline" status="primary"
                                     (click)="saveLimitPrice(favoritesItems, limitPrice.value)"></nb-icon>
                        </button>
                    </div>
                </div>
                <div class="form-in-rows">
                    <label class="col-form-label">Set vendor (NPC) price</label>
                    <div class="">
                        <app-price [loader]="loaderFixedPrice" [price]="item.fixedPrice" #fixedPrice></app-price>
                    </div>
                    <div class="">
                        <button nbButton>
                            <nb-icon icon="edit-outline" status="primary"
                                     (click)="saveFixedPrice(fixedPrice.value)"></nb-icon>
                        </button>
                    </div>
                </div>
                <div class="form-in-rows" *ngIf="recipes">
                    <label>Recipes : </label>
                    <nb-select  *ngIf="recipes.length > 0;else createRecipe" placeholder="Recipes available" (selectedChange)="goToRecipe($event)">
                        <nb-option *ngFor="let recipe of recipes; index as i" [value]="recipe._id">{{i + ': ' + recipe.item.name}}</nb-option>
                    </nb-select>
                    <ng-template #createRecipe>
                        <button nbButton status="primary" routerLink="/content/recipes">
                            Create recipe
                            <nb-icon icon="layers-outline"></nb-icon>
                        </button>
                    </ng-template>
                </div>
            </nb-card-body>
        </nb-card>
    </div>
    <div class="col-8">
        <nb-card *ngIf="data && graph">
            <nb-card-header>
                Item price evolution
            </nb-card-header>
            <nb-card-body>
                <canvas baseChart [datasets]="graph.data.datasets" [labels]="graph.data.labels" [chartType]="graph.type"
                        [options]="graph.options"></canvas>
            </nb-card-body>
        </nb-card>
    </div>
</div>
